APIReferenceSchedules
Get a schedule
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Format
uuidQuery Parameters
postId*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/schedules/497f6eca-6276-4993-bfeb-53cbbbba6f08?postId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "string", "content": "string", "organizationId": "string", "userId": "string", "originSourcePostId": "string", "isEvergreen": true, "lastRecycledAt": "2019-08-24T14:15:22Z", "approvalStatus": "pending_review", "approvalRequestedAt": "2019-08-24T14:15:22Z", "approvalCompletedAt": "2019-08-24T14:15:22Z", "requiredApproverIds": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "schedules": [ { "id": "string", "postId": "string", "organizationId": "string", "integrationId": "string", "status": "DRAFT", "scheduledAt": "2019-08-24T14:15:22Z", "publishedAt": "2019-08-24T14:15:22Z", "originRecycleEventId": "string", "failureReason": "string", "scheduledContent": "string", "retryCount": 0, "lastAttempt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "approvalStatus": "pending_review", "approvalRequestedAt": "2019-08-24T14:15:22Z", "approvalCompletedAt": "2019-08-24T14:15:22Z", "integration": { "id": "string", "platform": "BLUESKY", "name": "string", "tokenStatus": "string" }, "post": { "id": "string", "content": "string", "organizationId": "string", "userId": "string", "originSourcePostId": "string", "isEvergreen": true, "lastRecycledAt": "2019-08-24T14:15:22Z", "approvalStatus": "pending_review", "approvalRequestedAt": "2019-08-24T14:15:22Z", "approvalCompletedAt": "2019-08-24T14:15:22Z", "requiredApproverIds": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } } ]}